package cn.ezhizao.project.business.financialBase.service;

import cn.ezhizao.project.business.financialBase.domain.BizFinancialDictionary;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import java.util.Map;

 /**
  * @author 周晓
  */
 public interface IBizFinancialDictionaryService extends IService<BizFinancialDictionary> {

 /**
 * 根据Bean查询 列表
 * @param financialDictionary 实体类对象
 * @return List 集合
 */
 List<BizFinancialDictionary> getListByBean(BizFinancialDictionary financialDictionary);


 /**
 * 带条件的查询
 * @param conditions 条件
 * @return List 集合
 */
 List<BizFinancialDictionary> getList(Map<String,Object> conditions);

 /**
 * 带条件的查询总数
 * @param conditions 条件
 * @return int 查询总数量
 */
 int getTotal(Map<String,Object> conditions);

 /**
 * 获取就表数据
 * @return 旧表数据集
 */
 List<BizFinancialDictionary> getOldData();

 /**
 * 清除当前表所有数据
 * @return 操作行数
 */
 int clear();
}
